Bug 1341527 - Prune command error messages are not informative
Summary: Prune command error messages are not informative
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry
Version: 3.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Maciej Szulik
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-01 09:03 UTC by Alexander Koksharov
Modified: 2019-11-14 08:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Logs were too informative. Consequence: When pruning images, a user was presented with too many details by default. Fix: Hide some debug information behind --loglevel. Result: The logs presented to user should be more readable.
Clone Of:
Environment:
Last Closed: 2016-09-27 09:33:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1933 normal SHIPPED_LIVE Red Hat OpenShift Container Platform 3.3 Release Advisory 2016-09-27 13:24:36 UTC

Description Alexander Koksharov 2016-06-01 09:03:57 UTC
Description of problem:
the following command printed out messages which do not really explain what went wrong:
oadm prune images  --registry-url=172.30.147.143:5000 --keep-tag-revisions=3 --keep-younger-than=60m  --confirm
I0510 16:58:43.547265    3167 imagepruner.go:430] Unable to find image "sha256:4487fe3ecd663978f285ebb62149a62af2690c9416f3c56c8f173276e1aa1c2f" in the graph
I0510 16:58:43.547399    3167 imagepruner.go:430] Unable to find image "sha256:4a7e56ddb8cb477be56584f25c43d69635bee8fa0d27989bd024232f635b719d" in the graph
I0510 16:58:43.547429    3167 imagepruner.go:430] Unable to find image "sha256:05227ee56e789cc38db3f2882bf1e0beb138785e9de1634b4b25c3d238c9536d" in the graph

It turns to be that images are just from remote repository and so cant be pruned. So the error is not actually failure.



Version-Release number of selected component (if applicable):
3.1

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
More informative messages are printed. Or such messages are suppressed unless explicitly requested by the user. 

Additional info:

Comment 1 Maciej Szulik 2016-07-25 14:08:21 UTC
Fixed in https://github.com/openshift/origin/pull/10012.

Comment 2 openshift-github-bot 2016-07-25 23:36:23 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/0369166ff7e8ba11dbaf4987f78749948afa457c
Merge pull request #10012 from soltysh/bug1341527

Merged by openshift-bot

Comment 3 weiwei jiang 2016-07-28 10:40:52 UTC
Checked with 
# openshift version
openshift v3.3.0.11
kubernetes v1.3.0+57fb9ac
etcd 2.3.0+git

and the result is:
# oadm prune images  --registry-url=172.30.15.73:5000 --keep-tag-revisions=3 --keep-younger-than=60m --loglevel=2 --token=MCh-d4vAtd4Lr_i6jI3-k66H32E7E76T6lcLT5UwpzM
I0728 06:39:06.890964   90848 prune.go:244] Creating image pruner with keepYoungerThan=1h0m0s, keepTagRevisions=0x727a928, pruneOverSizeLimit=<nil>
I0728 06:39:06.891104   90848 prune.go:354] Unable to find image "05ad367202f8e05a4a63c9db63bc9e183c594f9835e8492278ede12a67740ffb" in graph (from tag="latest", revision=0, dockerImageReference=registry.access.redhat.com/jboss-amq-6/amq62-openshift:latest) - skipping
I0728 06:39:06.891125   90848 prune.go:354] Unable to find image "5dcbcf875ad6ce1fcb2dfdccef6dab0013be4b3c982597563f8760dfb5246d01" in graph (from tag="1.1", revision=0, dockerImageReference=registry.access.redhat.com/jboss-amq-6/amq62-openshift:1.1) - skipping
I0728 06:39:06.891139   90848 prune.go:354] Unable to find image "1ac9fd48694766bf7f17a7f71f29033012769971bd0e95158d9ad8f1501f8d25" in graph (from tag="1.1-2", revision=0, dockerImageReference=registry.access.redhat.com/jboss-amq-6/amq62-openshift:1.1-2) - skipping
I0728 06:39:06.891152   90848 prune.go:354] Unable to find image "0d09892e75cd06f63ac741390eaddfb4cd8ebd26449061188947d32a1381082b" in graph (from tag="1.2", revision=0, dockerImageReference=registry.access.redhat.com/jboss-amq-6/amq62-openshift:1.2) - skipping
I0728 06:39:06.891165   90848 prune.go:354] Unable to find image "05ad367202f8e05a4a63c9db63bc9e183c594f9835e8492278ede12a67740ffb" in graph (from tag="1.3", revision=0, dockerImageReference=registry.access.redhat.com/jboss-amq-6/amq62-openshift:1.3) - skipping
I0728 06:39:06.891183   90848 prune.go:354] Unable to find image "b3005b13c8272d0bdea71c51e7d4d155546644aad47a55cb36760d9034b33af4" in graph (from tag="1.2", revision=0, dockerImageReference=registry.access.redhat.com/jboss-datagrid-6/datagrid65-openshift:1.2) - skipping
I0728 06:39:06.891197   90848 prune.go:354] Unable to find image "2ed464ddce7905eec2dab880b4af4701a29ca67311cc8d46fe45d362588f6f61" in graph (from tag="1.2-13", revision=0, dockerImageReference=registry.access.redhat.com/jboss-datagrid-6/datagrid65-openshift:1.2-13) - skipping
I0728 06:39:06.891210   90848 prune.go:354] Unable to find image "b7fec7a470987e9792133a673392b378675f41109db17921fc2ef1f9e199351e" in graph (from tag="1.2-18", revision=0, dockerImageReference=registry.access.redhat.com/jboss-datagrid-6/datagrid65-openshift:1.2-18) - skipping
I0728 06:39:06.891226   90848 prune.go:354] Unable to find image "8ab6576cc3806a625eab110a46b948f66ec526fea3f215a90739e630f3479c34" in graph (from tag="1.2-19", revision=0, dockerImageReference=registry.access.redhat.com/jboss-datagrid-6/datagrid65-openshift:1.2-19) - skipping
I0728 06:39:06.891241   90848 prune.go:354] Unable to find image "b3005b13c8272d0bdea71c51e7d4d155546644aad47a55cb36760d9034b33af4" in graph (from tag="latest", revision=0, dockerImageReference=registry.access.redhat.com/jboss-datagrid-6/datagrid65-openshift:latest) - skipping
I0728 06:39:06.891259   90848 prune.go:354] Unable to find image "0ae3b4fecdd88dd0a0c3e842718ad4d9a0a6fc5f402f4d01c035e5e7e7f910b9" in graph (from tag="1.2-18", revision=0, dockerImageReference=registry.access.redhat.com/jboss-decisionserver-6/decisionserver62-openshift:1.2-18) - skipping
I0728 06:39:06.891310   90848 prune.go:354] Unable to find image "6d9945be622e6bb253a37450411d2e41da7e1ba85dbaada7262aa9965716b5d1" in graph (from tag="latest", revision=0, dockerImageReference=registry.access.redhat.com/jboss-decisionserver-6/decisionserver62-openshift:latest) - skipping
I0728 06:39:06.891328   90848 prune.go:354] Unable to find image "6d9945be622e6bb253a37450411d2e41da7e1ba85dbaada7262aa9965716b5d1" in graph (from tag="1.2", revision=0, dockerImageReference=registry.access.redhat.com/jboss-decisionserver-6/decisionserver62-openshift:1.2) - skipping
I0728 06:39:06.891343   90848 prune.go:354] Unable to find image "a8f6d1366615d30f622416dccd82f265a8206c38d9726191edc58ed0f44513e8" in graph (from tag="1.2-10", revision=0, dockerImageReference=registry.access.redhat.com/jboss-decisionserver-6/decisionserver62-openshift:1.2-10) - skipping
I0728 06:39:06.891356   90848 prune.go:354] Unable to find image "8ef8135308bedb426a14a8ee3e9b5149b5a02aeec10e717e6f16b88ded0db5b3" in graph (from tag="1.2-17", revision=0, dockerImageReference=registry.access.redhat.com/jboss-decisionserver-6/decisionserver62-openshift:1.2-17) - skipping
I0728 06:39:06.891564   90848 prune.go:354] Unable to find image "dfdbff449ef7a289af499cc9e5bbd18f5173f46a674fda6fe6c8d712449c8c53" in graph (from tag="1.1", revision=0, dockerImageReference=registry.access.redhat.com/jboss-eap-6/eap64-openshift:1.1) - skipping
I0728 06:39:06.891605   90848 prune.go:354] Unable to find image "9a9678426f0ce169ecf38a95da5f5142955e261ef2700f825543c50767840a8e" in graph (from tag="1.2", revision=0, dockerImageReference=registry.access.redhat.com/jboss-eap-6/eap64-openshift:1.2) - skipping
I0728 06:39:06.891629   90848 prune.go:354] Unable to find image "92667ba179fa614f952f0c6905f30abc0dee9cdb6511f56235df4fd02027b70e" in graph (from tag="1.3", revision=0, dockerImageReference=registry.access.redhat.com/jboss-eap-6/eap64-openshift:1.3) - skipping
I0728 06:39:06.891643   90848 prune.go:354] Unable to find image "c95b30c0226b152c266aae41c1f84a74b418134a49923ba6436b3af4a0a03272" in graph (from tag="1.4", revision=0, dockerImageReference=registry.access.redhat.com/jboss-eap-6/eap64-openshift:1.4) - skipping
I0728 06:39:06.891657   90848 prune.go:354] Unable to find image "c95b30c0226b152c266aae41c1f84a74b418134a49923ba6436b3af4a0a03272" in graph (from tag="latest", revision=0, dockerImageReference=registry.access.redhat.com/jboss-eap-6/eap64-openshift:latest) - skipping
I0728 06:39:06.891678   90848 prune.go:354] Unable to find image "547e8f9688975355f95914e168dfdd5440e43de46ea1d71584d42b7d32f5d9eb" in graph (from tag="1.3", revision=0, dockerImageReference=registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.3) - skipping
I0728 06:39:06.891693   90848 prune.go:354] Unable to find image "547e8f9688975355f95914e168dfdd5440e43de46ea1d71584d42b7d32f5d9eb" in graph (from tag="1.3-22", revision=0, dockerImageReference=registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.3-22) - skipping
I0728 06:39:06.891706   90848 prune.go:354] Unable to find image "987ac22d608b0f55a640c3054320f6572f787d396e398fea999367d6b24dc21c" in graph (from tag="1.4", revision=0, dockerImageReference=registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.4) - skipping
I0728 06:39:06.891719   90848 prune.go:354] Unable to find image "987ac22d608b0f55a640c3054320f6572f787d396e398fea999367d6b24dc21c" in graph (from tag="1.4-10", revision=0, dockerImageReference=registry.access.redhat.com/jboss-eap-7/eap70-openshift:1.4-10) - skipping
I0728 06:39:06.891735   90848 prune.go:354] Unable to find image "987ac22d608b0f55a640c3054320f6572f787d396e398fea999367d6b24dc21c" in graph (from tag="latest", revision=0, dockerImageReference=registry.access.redhat.com/jboss-eap-7/eap70-openshift:latest) - skipping
I0728 06:39:06.891754   90848 prune.go:354] Unable to find image "e0f97342ddf6a09972434f98837b5fd8b5bed9390f32f1d63e8a7e4893208af7" in graph (from tag="1.1", revision=0, dockerImageReference=registry.access.redhat.com/jboss-webserver-3/webserver30-tomcat7-openshift:1.1) - skipping
I0728 06:39:06.891768   90848 prune.go:354] Unable to find image "6da66388c3e62b9c956a587b149366b760861d5ed67870723914a2cbdd42a9ee" in graph (from tag="1.1-2", revision=0, dockerImageReference=registry.access.redhat.com/jboss-webserver-3/webserver30-tomcat7-openshift:1.1-2) - skipping
I0728 06:39:06.891781   90848 prune.go:354] Unable to find image "e0f97342ddf6a09972434f98837b5fd8b5bed9390f32f1d63e8a7e4893208af7" in graph (from tag="1.1-6", revision=0, dockerImageReference=registry.access.redhat.com/jboss-webserver-3/webserver30-tomcat7-openshift:1.1-6) - skipping
I0728 06:39:06.891794   90848 prune.go:354] Unable to find image "c2584ecdaecb7e760e061b65723e641ce91a3fa48a84a6659518ba67a618b224" in graph (from tag="1.2", revision=0, dockerImageReference=registry.access.redhat.com/jboss-webserver-3/webserver30-tomcat7-openshift:1.2) - skipping
I0728 06:39:06.891807   90848 prune.go:354] Unable to find image "c2584ecdaecb7e760e061b65723e641ce91a3fa48a84a6659518ba67a618b224" in graph (from tag="latest", revision=0, dockerImageReference=registry.access.redhat.com/jboss-webserver-3/webserver30-tomcat7-openshift:latest) - skipping
I0728 06:39:06.891959   90848 prune.go:354] Unable to find image "8b13741374b34b31ada65019c76c213edb20f4dd983f0b3682170150fee3a865" in graph (from tag="1.1-3", revision=0, dockerImageReference=registry.access.redhat.com/jboss-webserver-3/webserver30-tomcat8-openshift:1.1-3) - skipping
I0728 06:39:06.891990   90848 prune.go:354] Unable to find image "c887de63ad61eef11824f330c69c081c9afce1d4a263d4ba631630698fb58880" in graph (from tag="1.1-7", revision=0, dockerImageReference=registry.access.redhat.com/jboss-webserver-3/webserver30-tomcat8-openshift:1.1-7) - skipping
I0728 06:39:06.892008   90848 prune.go:354] Unable to find image "58272fb07a538a3852397d7a73ab64f8bc4713cf172ee6a671fec4e101833f85" in graph (from tag="1.2", revision=0, dockerImageReference=registry.access.redhat.com/jboss-webserver-3/webserver30-tomcat8-openshift:1.2) - skipping
I0728 06:39:06.892021   90848 prune.go:354] Unable to find image "58272fb07a538a3852397d7a73ab64f8bc4713cf172ee6a671fec4e101833f85" in graph (from tag="latest", revision=0, dockerImageReference=registry.access.redhat.com/jboss-webserver-3/webserver30-tomcat8-openshift:latest) - skipping
I0728 06:39:06.892036   90848 prune.go:354] Unable to find image "c887de63ad61eef11824f330c69c081c9afce1d4a263d4ba631630698fb58880" in graph (from tag="1.1", revision=0, dockerImageReference=registry.access.redhat.com/jboss-webserver-3/webserver30-tomcat8-openshift:1.1) - skipping
I0728 06:39:06.892060   90848 prune.go:354] Unable to find image "sha256:c28b0ebc8e4e942d58e8287751dc43456f764f08c1440d56738541c22c46c34d" in graph (from tag="1", revision=0, dockerImageReference=registry.qe.openshift.com/openshift3/jenkins-1-rhel7@sha256:c28b0ebc8e4e942d58e8287751dc43456f764f08c1440d56738541c22c46c34d) - skipping
I0728 06:39:06.892074   90848 prune.go:354] Unable to find image "sha256:c28b0ebc8e4e942d58e8287751dc43456f764f08c1440d56738541c22c46c34d" in graph (from tag="latest", revision=0, dockerImageReference=registry.qe.openshift.com/openshift3/jenkins-1-rhel7@sha256:c28b0ebc8e4e942d58e8287751dc43456f764f08c1440d56738541c22c46c34d) - skipping
I0728 06:39:06.892098   90848 prune.go:354] Unable to find image "sha256:6f7466925f117fb570f69fbfc0572297ade09231f0f60d40a5b58fa16342935b" in graph (from tag="2.4", revision=0, dockerImageReference=registry.qe.openshift.com/openshift3/mongodb-24-rhel7@sha256:6f7466925f117fb570f69fbfc0572297ade09231f0f60d40a5b58fa16342935b) - skipping
I0728 06:39:06.892112   90848 prune.go:354] Unable to find image "sha256:1c4a771b32a700f1b8296dd00bcb062f798e97812d73b62a6d0d82f1d19ccad2" in graph (from tag="2.6", revision=0, dockerImageReference=registry.qe.openshift.com/rhscl/mongodb-26-rhel7@sha256:1c4a771b32a700f1b8296dd00bcb062f798e97812d73b62a6d0d82f1d19ccad2) - skipping
I0728 06:39:06.892130   90848 prune.go:354] Unable to find image "sha256:f57a8f9b014e869b37c0fbaba56b96e8f3385e8867cd780d083dd9526cd76cb1" in graph (from tag="latest", revision=0, dockerImageReference=registry.qe.openshift.com/rhscl/mysql-56-rhel7@sha256:f57a8f9b014e869b37c0fbaba56b96e8f3385e8867cd780d083dd9526cd76cb1) - skipping
I0728 06:39:06.892146   90848 prune.go:354] Unable to find image "sha256:37a9f20eccf557d73a2f8ce3de4895f75bb35d78a328c22c149257a64ef03014" in graph (from tag="5.5", revision=0, dockerImageReference=registry.qe.openshift.com/openshift3/mysql-55-rhel7@sha256:37a9f20eccf557d73a2f8ce3de4895f75bb35d78a328c22c149257a64ef03014) - skipping
I0728 06:39:06.892160   90848 prune.go:354] Unable to find image "sha256:f57a8f9b014e869b37c0fbaba56b96e8f3385e8867cd780d083dd9526cd76cb1" in graph (from tag="5.6", revision=0, dockerImageReference=registry.qe.openshift.com/rhscl/mysql-56-rhel7@sha256:f57a8f9b014e869b37c0fbaba56b96e8f3385e8867cd780d083dd9526cd76cb1) - skipping
I0728 06:39:06.892180   90848 prune.go:354] Unable to find image "sha256:b19b74e38fc1e162d39ccde49aa55646f8ae1c30b87f8382e24b7cc32b9e6a02" in graph (from tag="0.10", revision=0, dockerImageReference=registry.qe.openshift.com/openshift3/nodejs-010-rhel7@sha256:b19b74e38fc1e162d39ccde49aa55646f8ae1c30b87f8382e24b7cc32b9e6a02) - skipping
I0728 06:39:06.892207   90848 prune.go:354] Unable to find image "sha256:3cee0b23aec08ab45ac6934a3ba5e5c3ee3d9bce347df38904d1f58d4c27d7f8" in graph (from tag="5.16", revision=0, dockerImageReference=registry.qe.openshift.com/openshift3/perl-516-rhel7@sha256:3cee0b23aec08ab45ac6934a3ba5e5c3ee3d9bce347df38904d1f58d4c27d7f8) - skipping
I0728 06:39:06.892222   90848 prune.go:354] Unable to find image "sha256:75b839ced23e96f1a7cc56f5de71bdbceba756bdf344c1c1be7a871424dfb2da" in graph (from tag="5.20", revision=0, dockerImageReference=registry.qe.openshift.com/rhscl/perl-520-rhel7@sha256:75b839ced23e96f1a7cc56f5de71bdbceba756bdf344c1c1be7a871424dfb2da) - skipping
I0728 06:39:06.892343   90848 prune.go:354] Unable to find image "sha256:75b839ced23e96f1a7cc56f5de71bdbceba756bdf344c1c1be7a871424dfb2da" in graph (from tag="latest", revision=0, dockerImageReference=registry.qe.openshift.com/rhscl/perl-520-rhel7@sha256:75b839ced23e96f1a7cc56f5de71bdbceba756bdf344c1c1be7a871424dfb2da) - skipping
I0728 06:39:06.892372   90848 prune.go:354] Unable to find image "sha256:5a4e42761ba4eda4b32f2be0f187a5eb0f07af0e630588317d8abad59a88b83d" in graph (from tag="5.5", revision=0, dockerImageReference=registry.qe.openshift.com/openshift3/php-55-rhel7@sha256:5a4e42761ba4eda4b32f2be0f187a5eb0f07af0e630588317d8abad59a88b83d) - skipping
I0728 06:39:06.892387   90848 prune.go:354] Unable to find image "sha256:f51633510f5993ba6fec106a81d1b0ba4cb803c582b52aa8883b0a57fc9867cd" in graph (from tag="5.6", revision=0, dockerImageReference=registry.qe.openshift.com/rhscl/php-56-rhel7@sha256:f51633510f5993ba6fec106a81d1b0ba4cb803c582b52aa8883b0a57fc9867cd) - skipping
I0728 06:39:06.892403   90848 prune.go:354] Unable to find image "sha256:f51633510f5993ba6fec106a81d1b0ba4cb803c582b52aa8883b0a57fc9867cd" in graph (from tag="latest", revision=0, dockerImageReference=registry.qe.openshift.com/rhscl/php-56-rhel7@sha256:f51633510f5993ba6fec106a81d1b0ba4cb803c582b52aa8883b0a57fc9867cd) - skipping
I0728 06:39:06.892422   90848 prune.go:354] Unable to find image "sha256:20fd2794b6934da1065bc7d13d48f0eed93c61f01417d22b8ed5a3ce393456a5" in graph (from tag="9.2", revision=0, dockerImageReference=registry.qe.openshift.com/openshift3/postgresql-92-rhel7@sha256:20fd2794b6934da1065bc7d13d48f0eed93c61f01417d22b8ed5a3ce393456a5) - skipping
I0728 06:39:06.892436   90848 prune.go:354] Unable to find image "sha256:f8f176421b535e0b52db354569aca91f4e6cb19ab9c07037f7b6038c6fe83ad9" in graph (from tag="9.4", revision=0, dockerImageReference=registry.qe.openshift.com/rhscl/postgresql-94-rhel7@sha256:f8f176421b535e0b52db354569aca91f4e6cb19ab9c07037f7b6038c6fe83ad9) - skipping
I0728 06:39:06.892466   90848 prune.go:354] Unable to find image "sha256:875513455321054e0e918e1d1d621563a5f02174998fb28fc377c17534f5ddc6" in graph (from tag="3.3", revision=0, dockerImageReference=registry.qe.openshift.com/openshift3/python-33-rhel7@sha256:875513455321054e0e918e1d1d621563a5f02174998fb28fc377c17534f5ddc6) - skipping
I0728 06:39:06.892482   90848 prune.go:354] Unable to find image "sha256:5a8a89b520f8129ebedd0de33950984bb8c5b443188d2af5380824b230f83d00" in graph (from tag="3.4", revision=0, dockerImageReference=registry.qe.openshift.com/rhscl/python-34-rhel7@sha256:5a8a89b520f8129ebedd0de33950984bb8c5b443188d2af5380824b230f83d00) - skipping
I0728 06:39:06.892504   90848 prune.go:354] Unable to find image "a8636c38773043329a971c2d407512b6afeea65db79228093090be15e8414c3e" in graph (from tag="1.3-TP", revision=0, dockerImageReference=registry.access.redhat.com/redhat-sso-7-tech-preview/sso70-openshift:1.3) - skipping
I0728 06:39:06.892523   90848 prune.go:354] Unable to find image "sha256:7c3d2d40612afcb13f2ffebd30d345c12d50a1a4a51094e49fe8db41820d76b0" in graph (from tag="2.0", revision=0, dockerImageReference=registry.qe.openshift.com/openshift3/ruby-20-rhel7@sha256:7c3d2d40612afcb13f2ffebd30d345c12d50a1a4a51094e49fe8db41820d76b0) - skipping
I0728 06:39:06.892537   90848 prune.go:354] Unable to find image "sha256:72452c7f958b4e027f2161a2ec0f138924a3a5f6bceabe1f3d3af5eb1ca9b247" in graph (from tag="2.2", revision=0, dockerImageReference=registry.qe.openshift.com/rhscl/ruby-22-rhel7@sha256:72452c7f958b4e027f2161a2ec0f138924a3a5f6bceabe1f3d3af5eb1ca9b247) - skipping

So the bug has been fixed.

Comment 5 errata-xmlrpc 2016-09-27 09:33:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1933


Note You need to log in before you can comment on or make changes to this bug.